ilasm(1)

NAME
ilasm - Mono IL assembler

SYNOPSIS
ilasm [option] [source-files]

DESCRIPTION
ilasm is the Mono ILAsm assembler. You can pass one or more options to drive the compiler, and a set of source files. The Mono ILAsm assembler accepts options starting with / or - for mosted options. The Mono ILAsm assembler generates images (.exe and .dll files) that contain CIL byte code that can be executed by any system that implemented a Common Language Infrastructure virtual machine.

OPTIONS

/output:<file_name>
    Specify the output file name.

/exe
    Generate an exe

/dll
    Generate a library

/scan_only
    Just scan the IL code and display tokens.

/show_tokens
    Show tokens as they are parsed.

/show_method_def
    Display method information when a method is defined.

/show_method_ref
    Display method information when a method is referenced

--about
    Display information about ilasm

--version
    Display ilasm version